[Launch]
ProgramExecutable=BoostSpeed\Integrator.exe
RunAsAdmin=compile-force
SinglePortableAppInstance=true
SingleAppInstance=true
WorkingDirectory=%PAL:AppDir%\BoostSpeed
CommandLineArguments=/portable
WaitForProgram=true
WaitForOtherInstances=true
WaitForEXE1=ActionCenter.exe
WaitForEXE2=AddonsManager.exe
WaitForEXE3=BoostSpeed.exe
WaitForEXE4=BrowserProtection.exe
WaitForEXE5=cdefrag.exe
WaitForEXE6=ContextMenuManager.exe
WaitForEXE7=DeepDiskCleaner.exe
WaitForEXE8=DiskDefrag.exe
WaitForEXE9=DiskDoctor.exe
WaitForEXE10=DiskExplorer.exe
WaitForEXE11=DuplicateFileFinder.exe
WaitForEXE12=EmptyFolderCleaner.exe
WaitForEXE13=FileRecovery.exe
WaitForEXE14=FileShredder.exe
WaitForEXE15=FreeSpaceWiper.exe
WaitForEXE16=Integrator.exe
WaitForEXE17=InternetOptimizer.exe
WaitForEXE18=Main.exe
WaitForEXE19=ModeSwitcher.exe
WaitForEXE20=rdboot32.exe
WaitForEXE21=rdboot64.exe
WaitForEXE22=RegistryCleaner.exe
WaitForEXE23=RegistryDefrag.exe
WaitForEXE24=StartupManager.exe
WaitForEXE25=StartupManagerDelayStart.x32.exe
WaitForEXE26=StartupManagerDelayStart.x64.exe
WaitForEXE27=SystemInformation.exe
WaitForEXE28=TabAllTools.exe
WaitForEXE29=TabCareCenter.exe
WaitForEXE30=TabCleanUp.exe
WaitForEXE31=TabDashboard.exe
WaitForEXE32=TabMaintain.exe
WaitForEXE33=TabMyTasks.exe
WaitForEXE34=TabOptimize.exe
WaitForEXE35=TabProtect.exe
WaitForEXE36=TabReports.exe
WaitForEXE37=TabWin10Protector.exe
WaitForEXE38=TaskManager.exe
WaitForEXE39=TweakManager.exe
WaitForEXE40=UninstallManager.exe
WaitForEXE41=WindowsSlimmer.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
BoostSpeed="HKLM\SOFTWARE\Auslogics\BoostSpeed Portable"
ToolsStd="HKLM\SOFTWARE\Auslogics\ToolsStd"
DeliveredActions="HKLM\SOFTWARE\Auslogics\DeliveredActions"
-=HKLM\SOFTWARE\Classes\.rsc
-=HKLM\SOFTWARE\Classes\AppID\{278029E0-2347-4254-A65E-204AC55E2508}
-=HKLM\SOFTWARE\Classes\AppID\{93469602-4134-4012-A6BC-D46FF1C671E9}
-=HKLM\SOFTWARE\Classes\CLSID\{1A2ACDD6-DFF2-E9F9-0D3D-BB9A848BE241}
-=HKLM\SOFTWARE\Classes\CLSID\{CC89327D-D094-83C6-82CB-F989EE26FC51}
-=HKLM\SOFTWARE\Classes\Interface\{6855F0CE-00B1-483F-8633-33B650EE4310}
-=HKLM\SOFTWARE\Classes\Interface\{DCC049B0-CA04-4E58-B4C8-CE62AC6F5096}
-=HKLM\SOFTWARE\Classes\TypeLib\{F2C6F7D1-ED32-49E5-9919-00DB857103B2}
-=HKLM\SOFTWARE\Classes\TypeLib\{FE9301D5-9266-4A2F-8767-85482115CAB0}
-=HKLM\SOFTWARE\Classes\BrowserPluginsAgentCOM32.BrowserPluginsAgent32
-=HKLM\SOFTWARE\Classes\BrowserPluginsAgentCOM64.BrowserPluginsAgent64
-=HKLM\SOFTWARE\Classes\DiskDoctorChecker.DiskChecker
-=HKLM\SOFTWARE\Classes\TMAgentCOM.TMAgent

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\Auslogics

[DirectoriesMove]
BoostSpeed="%ALLUSERSAPPDATA%\Auslogics\BoostSpeed Portable\14.x"

[DirectoriesCleanupIfEmpty]
1="%ALLUSERSAPPDATA%\Auslogics"

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\BoostSpeed.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\BoostSpeed.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\BoostSpeed.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
